Create project element
curl --request POST \
--url https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type_id": "architecto",
"name": "n",
"element_identifier": "b",
"description": "Eius et animi quos velit et.",
"objective": "architecto",
"status": "At Risk",
"order": 39,
"x_value": 4326.41688,
"y_value": 4326.41688,
"parent_ids": [
"<string>"
]
}
'import requests
url = "https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements"
payload = {
"type_id": "architecto",
"name": "n",
"element_identifier": "b",
"description": "Eius et animi quos velit et.",
"objective": "architecto",
"status": "At Risk",
"order": 39,
"x_value": 4326.41688,
"y_value": 4326.41688,
"parent_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type_id: 'architecto',
name: 'n',
element_identifier: 'b',
description: 'Eius et animi quos velit et.',
objective: 'architecto',
status: 'At Risk',
order: 39,
x_value: 4326.41688,
y_value: 4326.41688,
parent_ids: ['<string>']
})
};
fetch('https://{tenant}.torchapp.com.au/api/v1/projects/{project_id}/elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "Unauthenticated."
}Elements
Create Project Element
Store a newly created element in project.
POST
/
v1
/
projects
/
{project_id}
/
elements
Create project element
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project.
Body
application/json
Example:
"architecto"
Maximum string length:
255Example:
"n"
Maximum string length:
255Example:
"b"
Example:
"Eius et animi quos velit et."
Example:
"architecto"
Available options:
In Progress, Falling Behind, At Risk, Completed Example:
"At Risk"
Required range:
x >= 0Example:
39
Example:
4326.41688
Example:
4326.41688
Response
Element created
The response is of type object.
⌘I